Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.ode.bpel.evt
Enum BpelEvent.TYPE

    java.lang.Object
      java.lang.Enum<BpelEvent.TYPE>
          org.apache.ode.bpel.evt.BpelEvent.TYPE

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<BpelEvent.TYPE>

Enclosing class:
  BpelEvent

    public static enum BpelEvent.TYPE

extends java.lang.Enum<BpelEvent.TYPE>

Enum Constant Summary
`activityLifecycle`
`correlation`
`dataHandling`
`instanceLifecycle`
`scopeHandling`

Method Summary
`static BpelEvent.TYPE` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static BpelEvent.TYPE[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### dataHandling

    public static final BpelEvent.TYPE dataHandling

### activityLifecycle

    public static final BpelEvent.TYPE activityLifecycle

### scopeHandling

    public static final BpelEvent.TYPE scopeHandling

### instanceLifecycle

    public static final BpelEvent.TYPE instanceLifecycle

### correlation

    public static final BpelEvent.TYPE correlation

Method Detail

### values

    public static final BpelEvent.TYPE[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(BpelEvent.TYPE c : BpelEvent.TYPE.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static BpelEvent.TYPE valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD